Bug 1026739 - qcow2: Switch to compat=1.1 default for new images
qcow2: Switch to compat=1.1 default for new images
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 05:28 EST by Kevin Wolf
Modified: 2014-06-17 23:41 EDT (History)
6 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-20.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:31:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Wolf 2013-11-05 05:28:18 EST
Upstream qemu is using compat=1.1 by default for newly created qcow2 images.
RHEL 7 should do the same in order to make the new features available.
Comment 1 Miroslav Rezanina 2013-11-28 02:36:53 EST
Fix included in qemu-kvm-1.5.3-20.el7
Comment 3 juzhang 2013-12-12 23:18:56 EST
Reproduced with qemu-kvm-1.5.3-19.el7.x86_64.

Steps:
1. qemu-img create -f qcow2 test.qcow2 1G
2. qemu-img info test.qcow2 

Result:
Format specific information:
             compat: 0.10

Verified with qemu-kvm-1.5.3-21.el7.x86_64.

Format specific information:
             compat: 1.1
Comment 5 Ludek Smid 2014-06-13 07:31:57 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.